<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for HotelListInventoryResponse StructType
 * @subpackage Structs
 */
class HotelListInventoryResponse extends AbstractStructBase
{
    /**
     * The InventoryRS
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_InventoryRS
     */
    public $InventoryRS;
    /**
     * Constructor method for HotelListInventoryResponse
     * @uses HotelListInventoryResponse::setInventoryRS()
     * @param \StructType\JP_InventoryRS $inventoryRS
     */
    public function __construct(\StructType\JP_InventoryRS $inventoryRS = null)
    {
        $this
            ->setInventoryRS($inventoryRS);
    }
    /**
     * Get InventoryRS value
     * @return \StructType\JP_InventoryRS|null
     */
    public function getInventoryRS()
    {
        return $this->InventoryRS;
    }
    /**
     * Set InventoryRS value
     * @param \StructType\JP_InventoryRS $inventoryRS
     * @return \StructType\HotelListInventoryResponse
     */
    public function setInventoryRS(\StructType\JP_InventoryRS $inventoryRS = null)
    {
        $this->InventoryRS = $inventoryRS;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\HotelListInventoryResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
